Bug 1271630 - (CVE-2015-7814, xsa147) CVE-2015-7814 xen: Race between domain destruction and memory allocation decrease on ARM
CVE-2015-7814 xen: Race between domain destruction and memory allocation decr...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151029,repo...
: Security
Depends On: 1276344
Blocks: 1271637
  Show dependency treegraph
 
Reported: 2015-10-14 08:15 EDT by Adam Mariš
Modified: 2015-11-09 19:50 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (1.53 KB, patch)
2015-10-14 08:16 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-10-14 08:15:58 EDT
While freeing the memory associated with a domain during domain destruction Xen could race with a toolstack domain reducing the amount of memory associated with that same domain via the XENMEM_decrease_reservation. In the case where this race is hit, the host will crash. The race is not exposed via the XENMEM_remove_from_physmap or XENMEM_exchange interfaces.

Domains deliberately given partial management control may be able to deny service by crashing the host. Such a domain needs to be granted access to at least one of XENMEM_decrease_reservation or XEN_DOMCTL_destroydomain over another domain. As a result, in a system designed to enhance security by radically disaggregating the management, the security may be reduced. But, the security will be no worse than a non-disaggregated design.

This issue is only relevant to systems which intend to increase security through the use of advanced disaggregated management techniques. This does not include systems using libxl, libvirt, or OpenStack (unless substantially modified or supplemented, as compared to versions supplied by the respective upstreams).

Mitigation:

There is no known mitigation. Switching from disaggregated to a non-disaggregated operation does NOT mitigate these vulnerabilities. Rather, it simply recategorises the vulnerability to hostile management code, regarding it "as designed"; thus it merely reclassifies these issues as "not a bug". Users and vendors of disaggregated systems should not change their configuration.
Comment 1 Adam Mariš 2015-10-14 08:16 EDT
Created attachment 1082805 [details]
Upstream patch
Comment 2 Martin Prpič 2015-10-29 09:39:12 EDT
External References:

http://xenbits.xen.org/xsa/advisory-147.html
Comment 3 Martin Prpič 2015-10-29 09:51:21 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1276344]
Comment 4 Fedora Update System 2015-11-08 17:20:54 EST
xen-4.5.1-14.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-11-09 19:22:08 EST
xen-4.5.1-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-09 19:50:17 EST
xen-4.4.3-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.